Skip to main content
GET
Get contract metrics
This endpoint can be used to retrieve information about energy consumption and pricing, both for past periods as well as future forecast data. See the guide section for more information and examples on how to use this API endpoint.
Requires role:application scope or Linked relation on customer level.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customerNumber
string
required

Customer number

contractNumber
string
required

Contract number

Query Parameters

Period.From
string<date-time>

Start of period

Period.To
string<date-time>

End of period

Interval
enum<string>

Information about interval to get contract metrics Interval of contract metrics

Available options:
QuarterHourly,
Hourly,
Daily,
Weekly,
Monthly,
Yearly
MetricType
enum<string>

Information about metric type to get contract metrics Type of contract metrics

Available options:
Consumption,
Saving,
TotalCost,
WorkingPrice,
Co2Saving
ValueType
enum<string>

Information about metric value type to get contract metrics Type of returned value

Available options:
Actual,
Forecast,
Dynamic,
Combined

Response

200 - application/json

OK

API response DTO with data.

isSuccess
boolean
read-only

Success status of the operation based on status code (2xx range).

Example:

true

message
string | null

Optional message to provide additional information about the operation result.

Example:

null

error
object[] | null

Optional error details in case of an error(s).

refUri
string<uri> | null
read-only

Optional reference URI to point to the resulting resource.

data
object | null

Returned data instance.